import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRAccessControlClusterAccessControlEntryStruct } from "./MTRAccessControlClusterAccessControlEntryStruct.js";
export declare class _MTRAccessControlClusterAccessControlEntryChangedEvent extends _NSObject {
    static alloc(): _MTRAccessControlClusterAccessControlEntryChangedEvent;
    static new(): _MTRAccessControlClusterAccessControlEntryChangedEvent;
    init(): _MTRAccessControlClusterAccessControlEntryChangedEvent;
    adminNodeID(): _NSNumber | null;
    setAdminNodeID$(value: _NSNumber | null): void;
    adminPasscodeID(): _NSNumber | null;
    setAdminPasscodeID$(value: _NSNumber | null): void;
    changeType(): _NSNumber;
    setChangeType$(value: _NSNumber): void;
    latestValue(): _MTRAccessControlClusterAccessControlEntryStruct | null;
    setLatestValue$(value: _MTRAccessControlClusterAccessControlEntryStruct | null): void;
    fabricIndex(): _NSNumber;
    setFabricIndex$(value: _NSNumber): void;
}
export interface _MTRAccessControlClusterAccessControlEntryChangedEvent extends _NSCopying {
}
